From: "WANG Xuerui" <xen0n@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/libseccomp/
Date: Fri, 24 Jun 2022 05:12:44 +0000 (UTC) [thread overview]
Message-ID: <1656047531.e659616ebf96eeb60ec91a039ccf0c9de9e80908.xen0n@gentoo> (raw)
commit: e659616ebf96eeb60ec91a039ccf0c9de9e80908
Author: WANG Xuerui <xen0n <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 22 15:36:27 2022 +0000
Commit: WANG Xuerui <xen0n <AT> gentoo <DOT> org>
CommitDate: Fri Jun 24 05:12:11 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e659616e
sys-libs/libseccomp: revbump for loong patch 20220622
The previous revision of the loong patch still had fstat and newfstatat
declared as present on loong, while the upstreamed loong kernel ABI has
removed support for them. This caused build failures for sys-apps/file
and perhaps others, so bump to latest iteration of the upstream PR [1].
(As for quality of the patch, the PR is likely to be accepted as-is.)
The patch is again generated by diffing `make dist` output against the
official 2.5.4 tarball, due to the package being a base-system one.
This is ~loong-only, because the only thing that got bumped was the
loong patchset.
[1]: https://github.com/seccomp/libseccomp/pull/356
Signed-off-by: WANG Xuerui <xen0n <AT> gentoo.org>
sys-libs/libseccomp/Manifest | 1 +
sys-libs/libseccomp/libseccomp-2.5.4-r1.ebuild | 111 +++++++++++++++++++++++++
2 files changed, 112 insertions(+)
diff --git a/sys-libs/libseccomp/Manifest b/sys-libs/libseccomp/Manifest
index dc573ded9453..5d986c8464d9 100644
--- a/sys-libs/libseccomp/Manifest
+++ b/sys-libs/libseccomp/Manifest
@@ -1,2 +1,3 @@
DIST libseccomp-2.5.4-loongarch64-20220425.patch.xz 132768 BLAKE2B f3ab165b028b5f8b4c16574936b915595807ebeb49ef7365d6051f3dfafa7da46ef2a9de458e0a268298cb340152abe1f3c0c293446462a06696bc9ce92d2f72 SHA512 94f23c7a2cc2ea8acb01fef00ef184295c276b14b2b3ba0c65687fd72081df8478f3f04c51b0b391ba44529c4f914e6edbb4132af935e3be55902f641d478780
+DIST libseccomp-2.5.4-loongarch64-20220622.patch.xz 67668 BLAKE2B faf1b5653a4d454626e310cdfd7def1fb8b768b88d3f792a28170d969a834be7ced8bb7b511a11e0e44691d626046e4c387c08f3fbacdedd6689813f65c129aa SHA512 9aba715c6f120f8df249158f73bc64097243f911d5864294048dc3976580e9ca96cc538c890918a375c3b35369fdbf2383424b6f3d41822c834228ff188680fa
DIST libseccomp-2.5.4.tar.gz 637228 BLAKE2B 38b134cb578f9355667546f92950ebcf8c53ccaf98db568db9aadfa9629c054136849e03d4bf9f09f73998fe66a5e8a9038573d19740b2bddf5518a8a0119229 SHA512 92650bd7d1d48b383f402a536b97a017fd0f6ad1234daf4b938d01c92e8d134a01d2f2dd45fd9e2d025d7556bd1386ec360402145a87f20580c85949d62cea0e
diff --git a/sys-libs/libseccomp/libseccomp-2.5.4-r1.ebuild b/sys-libs/libseccomp/libseccomp-2.5.4-r1.ebuild
new file mode 100644
index 000000000000..bd94a086c76d
--- /dev/null
+++ b/sys-libs/libseccomp/libseccomp-2.5.4-r1.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_OPTIONAL=1
+
+inherit distutils-r1 multilib-minimal
+
+DESCRIPTION="high level interface to Linux seccomp filter"
+HOMEPAGE="https://github.com/seccomp/libseccomp"
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/seccomp/libseccomp.git"
+ PRERELEASE="2.6.0"
+ inherit autotools git-r3
+else
+ SRC_URI="https://github.com/seccomp/libseccomp/releases/download/v${PV}/${P}.tar.gz
+ experimental-loong? ( https://dev.gentoo.org/~xen0n/distfiles/${P}-loongarch64-20220622.patch.xz )"
+ #KEYWORDS="-* amd64 arm arm64 hppa ~loong ~mips ppc ppc64 ~riscv ~s390 x86 ~amd64-linux ~x86-linux"
+ KEYWORDS="-* ~loong"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="experimental-loong python static-libs test"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+# We need newer kernel headers; we don't keep strict control of the exact
+# version here, just be safe and pull in the latest stable ones. bug #551248
+DEPEND=">=sys-kernel/linux-headers-5.15
+ python? ( ${PYTHON_DEPS} )"
+RDEPEND="${DEPEND}"
+BDEPEND="${DEPEND}
+ dev-util/gperf
+ python? ( dev-python/cython[${PYTHON_USEDEP}] )"
+
+PATCHES=(
+ "${FILESDIR}"/libseccomp-python-shared.patch
+ "${FILESDIR}"/libseccomp-2.5.3-skip-valgrind.patch
+)
+
+src_prepare() {
+ if use experimental-loong; then
+ PATCHES+=( "${WORKDIR}/${P}-loongarch64-20220622.patch" )
+ fi
+
+ default
+
+ if use experimental-loong; then
+ # touch generated files to avoid activating maintainer mode
+ # remove when loong-fix-build.patch is no longer necessary
+ touch ./aclocal.m4 ./configure ./configure.h.in || die
+ find . -name Makefile.in -exec touch {} + || die
+ fi
+
+ if [[ ${PV} == *9999 ]] ; then
+ sed -i -e "s/0.0.0/${PRERELEASE}/" configure.ac || die
+
+ eautoreconf
+ fi
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ $(use_enable static-libs static)
+ --disable-python
+ )
+
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+do_python() {
+ # setup.py reads VERSION_RELEASE from the environment
+ local -x VERSION_RELEASE=${PRERELEASE-${PV}}
+
+ pushd "${BUILD_DIR}/src/python" >/dev/null || die
+ "$@"
+ popd >/dev/null || die
+}
+
+multilib_src_compile() {
+ emake
+
+ if multilib_is_native_abi && use python ; then
+ # setup.py expects libseccomp.so to live in "../.libs"
+ # Copy the python files to the right place for this.
+ rm -r "${BUILD_DIR}"/src/python || die
+ cp -r "${S}"/src/python "${BUILD_DIR}"/src/python || die
+ local -x CPPFLAGS="-I\"${BUILD_DIR}/include\" -I\"${S}/include\" ${CPPFLAGS}"
+
+ do_python distutils-r1_src_compile
+ fi
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install
+
+ if multilib_is_native_abi && use python ; then
+ do_python distutils-r1_src_install
+ fi
+}
+
+multilib_src_install_all() {
+ find "${ED}" -type f -name "${PN}.la" -delete || die
+
+ einstalldocs
+}
next reply other threads:[~2022-06-24 5:12 UTC|newest]
Thread overview: 151+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-06-24 5:12 WANG Xuerui [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-26 12:12 [gentoo-commits] repo/gentoo:master commit in: sys-libs/libseccomp/ Sam James
2025-04-23 16:42 Sam James
2025-04-23 8:59 Arthur Zamarin
2025-03-09 23:55 Sam James
2025-03-09 23:55 Sam James
2025-03-03 20:48 Sam James
2025-03-03 20:44 Sam James
2025-01-24 6:08 Sam James
2025-01-22 1:26 Sam James
2024-11-13 11:10 Arthur Zamarin
2024-11-12 23:48 Sam James
2024-11-11 15:21 Sam James
2024-11-11 15:21 Sam James
2024-11-11 15:21 Sam James
2024-11-11 15:21 Sam James
2024-11-11 15:21 Sam James
2024-05-08 19:21 Sam James
2024-05-01 5:28 Joonas Niilola
2024-04-17 19:47 WANG Xuerui
2024-04-13 18:52 Arthur Zamarin
2024-04-13 18:37 Arthur Zamarin
2024-04-13 17:48 Arthur Zamarin
2024-04-13 17:48 Arthur Zamarin
2024-04-13 17:48 Arthur Zamarin
2024-04-13 16:51 Mike Gilbert
2024-03-06 21:18 Michał Górny
2024-03-02 4:39 Sam James
2024-01-23 5:00 Sam James
2024-01-23 4:17 Sam James
2024-01-18 0:28 Sam James
2024-01-17 8:53 Arthur Zamarin
2024-01-17 6:34 Sam James
2024-01-17 6:34 Sam James
2024-01-17 5:50 Sam James
2024-01-17 5:50 Sam James
2023-12-05 17:52 WANG Xuerui
2023-12-04 6:14 WANG Xuerui
2023-12-03 8:02 Sam James
2023-03-15 9:26 Sam James
2023-03-07 11:39 Sam James
2022-06-21 9:41 David Seifert
2022-06-02 7:31 Jakov Smolić
2022-06-02 4:00 Sam James
2022-06-02 4:00 Sam James
2022-06-02 3:57 Jakov Smolić
2022-06-02 3:23 Sam James
2022-06-02 3:05 Sam James
2022-06-02 3:05 Sam James
2022-04-21 20:25 Sam James
2022-04-17 17:06 Sam James
2022-02-23 4:39 Arthur Zamarin
2022-02-19 10:59 Arthur Zamarin
2022-02-19 10:55 Arthur Zamarin
2022-02-19 3:06 Sam James
2022-02-19 3:02 Sam James
2022-02-19 2:40 Sam James
2022-02-19 2:24 Sam James
2021-11-09 4:35 Georgy Yakovlev
2021-11-09 4:35 Georgy Yakovlev
2021-10-07 6:37 Sam James
2021-09-03 6:40 Agostino Sarubbo
2021-09-03 6:34 Agostino Sarubbo
2021-09-02 6:43 Lars Wendler
2021-09-01 18:32 Sam James
2021-09-01 13:38 Agostino Sarubbo
2021-09-01 9:31 Agostino Sarubbo
2021-07-23 22:52 Sam James
2021-05-23 11:48 David Seifert
2021-05-22 21:26 Mike Gilbert
2021-05-16 15:32 Mike Gilbert
2021-05-15 19:14 Sergei Trofimovich
2021-05-14 9:36 Agostino Sarubbo
2021-05-14 9:32 Agostino Sarubbo
2021-05-14 9:31 Agostino Sarubbo
2021-05-14 9:30 Agostino Sarubbo
2021-05-13 16:54 Sam James
2021-05-13 16:30 Sam James
2020-11-29 20:22 Lars Wendler
2020-11-24 7:43 Agostino Sarubbo
2020-11-23 8:01 Sergei Trofimovich
2020-11-23 7:52 Sergei Trofimovich
2020-11-23 4:37 Sam James
2020-11-20 16:54 Lars Wendler
2020-11-20 2:02 Sam James
2020-11-20 2:02 Sam James
2020-11-20 1:34 Thomas Deutschmann
2020-11-19 22:58 Sam James
2020-11-19 9:36 Lars Wendler
2020-10-16 3:45 Joshua Kinard
2020-09-03 20:00 Lars Wendler
2020-07-23 19:53 Lars Wendler
2020-07-23 10:19 Lars Wendler
2020-07-21 9:53 Lars Wendler
2020-07-21 8:32 Lars Wendler
2020-07-21 8:32 Lars Wendler
2020-07-21 8:32 Lars Wendler
2020-07-13 16:16 Sam James
2020-07-09 8:34 Agostino Sarubbo
2020-07-08 12:23 Michał Górny
2020-07-07 6:58 Sergei Trofimovich
2020-07-06 11:27 Mart Raudsepp
2020-07-06 7:22 Sergei Trofimovich
2020-07-06 7:02 Sergei Trofimovich
2020-05-04 17:36 Thomas Deutschmann
2020-03-07 15:51 Lars Wendler
2020-03-07 15:51 Lars Wendler
2020-02-02 20:37 Anthony G. Basile
2019-12-24 14:21 Mikle Kolyada
2019-12-24 8:08 Agostino Sarubbo
2019-12-23 10:00 Sergei Trofimovich
2019-12-20 12:30 Agostino Sarubbo
2019-12-20 12:13 Agostino Sarubbo
2019-12-20 11:33 Agostino Sarubbo
2019-12-19 15:44 Agostino Sarubbo
2019-11-19 8:56 Jeroen Roovers
2019-11-11 14:26 Lars Wendler
2019-04-18 15:40 Mike Gilbert
2019-04-15 8:52 Mikle Kolyada
2019-04-08 4:32 Aaron Bauman
2019-04-02 9:45 Mikle Kolyada
2019-03-29 4:41 Matt Turner
2019-03-29 4:41 Matt Turner
2019-03-20 17:05 Markus Meier
2019-03-18 8:17 Lars Wendler
2019-03-18 7:48 Lars Wendler
2019-03-15 11:46 Lars Wendler
2019-03-15 11:46 Lars Wendler
2018-06-07 21:02 Mike Frysinger
2018-06-07 21:02 Mike Frysinger
2018-05-29 11:43 Michael Haubenwallner
2018-05-15 1:46 Thomas Deutschmann
2018-05-14 21:25 Sergei Trofimovich
2018-05-14 12:37 Mikle Kolyada
2018-05-14 4:21 Mart Raudsepp
2018-02-21 16:01 Michael Haubenwallner
2018-01-11 22:37 Mike Frysinger
2018-01-11 22:32 Mike Frysinger
2017-07-07 6:18 Markus Meier
2017-03-09 6:46 Mike Frysinger
2017-03-09 6:46 Mike Frysinger
2016-05-25 15:31 Mike Frysinger
2016-05-09 19:24 Richard Farina
2016-04-26 13:40 Doug Goldstein
2016-03-23 5:25 Mike Frysinger
2016-03-23 5:25 Mike Frysinger
2016-03-06 12:58 Agostino Sarubbo
2016-02-29 18:54 Mike Frysinger
2015-08-19 4:25 Mike Frysinger
2015-08-17 18:58 Mike Frysinger
2015-08-17 18:58 Mike Frysinger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1656047531.e659616ebf96eeb60ec91a039ccf0c9de9e80908.xen0n@gentoo \
--to=xen0n@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox